Subject: Re: bug#9084: 24.0.50; displaying man pages splits the window and formats the text for the full width of the whole frame rather than for the width of the window the text is displayed in, which is only 1/2 the width of the frame

From: Juri Linkov <[email-masked]>
Date: Mon, 18 Jul 2011 02:08:04 +0300

> To me, it would make sense if it did or if I could make it so that it
> does, for example by specifying a negative integer like -75 to have the
> page formatted 75 characters wide /and/ the width of the window adjusted
> accordingly.  Imho, there isn't much point in making the window wider
> than the text it displays when viewing manpages.

You are asking for functionality that is not specific to manpages.
Typical text width in all buffers that I see is no more than 75 characters:
in Dired buffers, in Info buffers, in source code buffers, etc.
Usually there is no point in making the window wider than the text
displayed in all these buffers.  I think the width of the window
and other parameters of window configurations should be specified
at more general level.

> When your window is 230 characters wide, you could set Man-width to 70
> and display three pages side by side?

There was a plan to implement functionality where you can define
arbitrary window layouts, e.g. you will be able to define a layout
to display three manpage dedicated buffers side by side, etc.

> Since there's the usual man command you run from a shell, it's not too
> obvious that "M-x man" is something very different.

`M-x man' is not much different.  For the usual man command you can
define the width by the environment variable `MANWIDTH' or `COLUMNS'.
And for `M-x man' there is a similar option `Man-width'.